<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *   Block for mxSchedule
 */

defined('mxMainFileLoaded') or die('access denied');

$modname2 = "Schedule";

global $prefix,$bgcolor1,$bgcolor2,$bgcolor3,$currentlang;
$modlang=($currentlang=="german" or $currentlang=="german_du")?"'german','german_du'":"'".$currentlang."'";

include_once("modules".DS.$modname2.DS."core".DS."tabledef.php");
include_once("modules".DS.$modname2.DS."inc".DS."functions.php");
include_once("modules".DS.$modname2.DS."inc".DS."functions_ws.php");

$numartikel = 1; # Anzahl der Artikelueberschriften im Block

$nosections=""; // Kommagetrennt die SectionID's angeben, aus dennen KEINE Termine angezeigt werden

$isuser=(!MX_IS_USER)?" and event.privat=0 ":"";
$nosec=(trim($nosections)=="")?"":"and  NOT(section.secid IN(".$nosections."))";

$result = sql_query("select event.* from " . TABLE_EVENTS . " as event, ".TABLE_SECTIONS." as section where event.enddate >'".(time()-86400)."' " .$isuser." 
					   and section.published=1 and section.secid=event.secid ".$nosec." and section.language IN(".$modlang.",'ALL','')
					   and event.publish=1 order by event.startdate asc limit ".$numartikel);
	
$count=sql_num_rows($result);
$show = "";

while ($bevt = sql_fetch_assoc($result)) {
	$conf=unserialize($bevt['config']);
	if ($conf['JOIN']==1) {
		$title2 = str_replace(" ", "_", $bevt['title']);
		$show .= "<div><b>".ws_langDate($bevt['startdate'])."</b><br><a href=\"modules.php?name=" . $modname2 . "&amp;act=show&amp;eid=" .$bevt['eid']. "\">" . trim($bevt['title']) . "</a></div>\n";
	
		  switch ($conf['JOIN_VIEW']){
			 case 0:		//keiner
				  $joinuser=(MX_IS_ADMIN)?1:0;
			   break;
			 case 1:		//nur ich
				  $joinuser=(ws_isMyEventBool($bevt['eid']))?1:MX_IS_ADMIN;
			   break;
			 case 2:		//user
				  $joinuser=(MX_IS_USER)?1:MX_IS_ADMIN;
			   break;
			 case 3:		//auch Gste
				  $joinuser=1;
			   break;
		  }
			  if ($joinuser==1 ) {
				// Teilnehmerliste
				$result2=sql_query("select count(userid) from ".TABLE_USER." where eid='".$bevt['eid']."' and status='1'");
				list($jCount)=sql_fetch_row($result2);
				
				if ($jCount>0) {
				 $show .= "<ul style=\"list-style-type:disk;\">\n";
				 $show .="<div class=\"tiny\">"._PAGE_JOIN."</div>";
				 
				 $result3=sql_query("select * from ".TABLE_USER." where eid='".$bevt['eid']."' and status='1'");
				 while($mjoin=sql_fetch_assoc($result3)) {
					$juser=mxGetUserDataFromUid($mjoin['userid']);
					$show .= "<li><a href='modules.php?name=Userinfo&amp;uname=".$juser['uname']."'>".$juser['uname']."</a> </li>\n";
					unset($juser);
				 }
				 unset($result3);
				 $show .= "</ul>\n";
				 } else {
				   // keine Teilhemer
					$show .= "<br /><p class='tiny'>"._PAGE_JOIN_INFO7."</p>";
				   
				 }
			}
	}
}
unset($result,$result2);
if ($show) {
    $content = ""."<div style=\"list-style-type:none;\">".$show."</div>";
}

?>